const { TCECloudApiService } = require('../lib/utils/tce-cloud-api/cloud_api_service');
const config = {};

try {
  const extra_config = require('./extra_config');
  Object.assign(config, extra_config);
} catch (e) {}

const service = new TCECloudApiService({
  service: 'lowcode',
  version: '2021-01-08',
  timeout: 10000,
  credential: config.TCE_API_Credential,
  baseUrl: 'yunapi3.weda-private.tcs230.fsphere.cn',
  endpoint: '106.55.46.195',
});

describe('request', () => {
  it('连通性测试', async () => {
    try {
      const res = await service.request('UpdateLoginConfig', { EnvId: '' });
      expect(!res.RequestId).toBe(false);
    } catch (e) {
      console.log(e);
      expect(e).toBe(null);
    }
  });
});
